import Title from "./title.js"
import Network from "./network.js"
import Member from './member.js'
import Payment from "./payment.js"
import Post from "./forum/post.js"
import Conversation from "./dms/conversation.js"
import DM from "./dms/dm.js"
import MEMBER_IN_NETWORK from "./edges/MEMBER_IN_NETWORK.js"

let nIndices = {
    "MEMBER" :          [0, 0], // [id, startIndex, nextEmptyIndex
    "NETWORK" :         [100, 100],
    "TITLE" :           [200, 200],
    "PAYMENT" :         [300, 300],
    "POST" :            [400, 400],
    "CONVERSATION" :    [3000, 3000],
    "DM" :              [6000, 6000],
}

let eIndices = {
    "MEMBER_IN_NETWORK": [0, 0]
}

export let nodeModels = { 
    Member:         new Member(nIndices.MEMBER),
    Network:        new Network(nIndices.NETWORK),
    Title:          new Title(nIndices.TITLE),
    Payment:        new Payment(nIndices.PAYMENT),
    Post:           new Post(nIndices.POST),
    Conversation:   new Conversation(nIndices.CONVERSATION),
    DM:             new DM(nIndices.DM),
}

export let edgeModels = {
    MEMBER_IN_NETWORK: new MEMBER_IN_NETWORK(eIndices.MEMBER_IN_NETWORK)
}